/* $Id: script.js 224778 2006-02-23 13:38:15Z rdalverny $
 *
*/

var remoteweb = 'http://start.mandriva.com/';

String.prototype.rtrim     = function() { return this.replace(/\s*$/, ""); };
String.prototype.ltrim     = function() { return this.replace(/^\s*/, ""); };
String.prototype.trim      = function() { return this.rtrim().ltrim(); };
String.prototype.encodeURI = function() { return this.replace(/\+/g,"%2B"); };

function actOnline() {
	// #1
	var release = '';
	var pack    = '';
	var product = '';
	var lang    = '';
	try {
		var t = document.getElementsByTagName('meta');
		for( var i=0; i<t.length; i+=1 ) {
			if( t.item(i).getAttribute('name') == 'mdv:release' ) {
				release = t.item(i).getAttribute('content');
			} else if( t.item(i).getAttribute('name') == 'mdv:pack' ) {
				pack = t.item(i).getAttribute('content');
			} else if( t.item(i).getAttribute('name') == 'mdv:product' ) {
				product = t.item(i).getAttribute('content');
			}
		}
		lang = parent.window.document.documentElement.attributes.getNamedItem('lang').value;
	}
	catch( e ) {} 
	finally {}

	// #2
	var args = '';
	if( release !== '' ) { args = 'r='+release.trim().encodeURI(); }
	if( pack !== '' )    { if( args !== '' ) { args += '&'; } args += 'p='+pack.trim().encodeURI(); }
	if( product !== '' ) { if( args !== '' ) { args += '&'; } args += 'p='+product.trim().encodeURI(); }
	if( lang !== '' )    { if( args !== '' ) { args += '&'; } args += 'l='+lang.trim(); }
	if( args !== '' )    { remoteweb += '?' + args; }
	
	// #3
	parent.location = remoteweb;
	return true;
}

function actOffline() { return true; }
function imgLoad()    { actOnline(); }
function imgError()   { var i = document.getElementById('i'); i.parentNode.removeChild(i); actOffline(); }

window.alert = function() {};

function run() {
	try {
		var i     = document.createElement('img');
		i.id      = 'i';
		i.onload  = imgLoad;
		i.onerror = imgError;
		i.src     = 'http://images.mandriva.com/images/donotremove.png';
		document.getElementsByTagName('body').item(0).appendChild(i);
	}
	catch(e) { return false; }
	return true;
}

/*
*/
